#ifndef  INITHEAD_H
	#define INITHEAD_H

	//=======================================================================
	// Header files
	//=======================================================================
	
	#if defined __ADSPBF531__ || defined __ADSPBF532__ || defined __ADSPBF533__

		#include <sys\exception.h>	// interrupt handling
		#include <ccblkfn.h>		// intrinsic C functions
		
		#ifdef __ADSPBF531__
		#include <cdefBF531.h>		// C macros pointers for MMRs
		#endif
		
		#ifdef __ADSPBF532__
		#include <cdefBF532.h>
		#endif
		
		#ifdef __ADSPBF533__
		#include <cdefBF533.h>
		#endif
	
	#endif
							 
	/* Function Prototypes */
	
	extern void SetupSDRAM(void);
	extern void RestoreSP(void);
	
#endif
